Debian Bug report logs - #450851
xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev

version graph

Package: xserver-xorg-input-evdev; Maintainer for xserver-xorg-input-evdev is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-input-evdev is src:xserver-xorg-input-evdev.

Reported by: HoverHell <hoverhell@gmail.com>

Date: Sun, 11 Nov 2007 17:03:01 UTC

Severity: important

Found in versions xserver-xorg-input-evdev/1:1.2.0~git20070819-3, xserver-xorg-input-evdev/1:1.2.0-1

Fixed in version 1:2.0.8-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to HoverHell <hoverhell@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: HoverHell <hoverhell@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Sun, 11 Nov 2007 21:00:57 +0400
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-input-evdev
Version: 1:1.2.0~git20070819-3
Severity: normal


Checked in tremulous, ezquake, dosbox.
'Driver "mouse"' works fine (one that commented oyt in attached xorg.conf).
Updated from 1:1.1.5-3.
xorg core packages were updated, too.
* Also, after update mouse didn't move at all until I specified 'Option
 "device"' in xorg.conf, e.g. in previous version 'Option "Name"' somehow
 was sufficient.

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/etc/X11/X target does not match checksum in /var/lib/x11/X.md5sum.

X server symlink status:
lrwxrwxrwx 1 root root 13 2007-05-16 21:19 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1827360 2007-09-30 02:13 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
05:00.0 VGA compatible controller: nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)] (rev a1)

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 4004 2007-11-11 20:32 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
    Identifier     "Default Layout"
    Screen         "Default Screen" 0 0
    InputDevice    "Generic Keyboard"
#    InputDevice    "Configured Mouse"
    InputDevice    "evMX310"
EndSection

Section "Files"

#    FontPath    "/usr/X11R6/lib/X11/fonts/misc"
#    FontPath    "/usr/share/fonts/X11/cyrillic"
#    FontPath    "/usr/X11R6/lib/X11/fonts/cyrillic"
#    FontPath    "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
#    FontPath    "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
#    FontPath    "/usr/X11R6/lib/X11/fonts/Type1"
#    FontPath    "/usr/X11R6/lib/X11/fonts/100dpi"
#    FontPath    "/usr/X11R6/lib/X11/fonts/75dpi"
    # path to defoma fonts
    FontPath        "/usr/share/fonts/X11/misc"
    FontPath        "/usr/share/fonts/X11/100dpi/:unscaled"
    FontPath        "/usr/share/fonts/X11/75dpi/:unscaled"
    FontPath        "/usr/share/fonts/X11/Type1"
    FontPath        "/usr/share/fonts/X11/100dpi"
    FontPath        "/usr/share/fonts/X11/75dpi"
    FontPath        "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
    Load           "i2c"
    Load           "bitmap"
    Load           "ddc"
#    Load    "dri"
    Load           "dbe"
    Load           "extmod"
    Load           "freetype"
    Load           "glx"
    Load           "int10"
    Load           "vbe"
EndSection

Section "InputDevice"
    Identifier     "Generic Keyboard"
    Driver         "kbd"
    Option         "CoreKeyboard"
    Option         "XkbRules" "xorg"
    Option         "XkbModel" "pc104"
    Option         "XkbLayout" "us,ru"
    Option         "XkbVariant" ",winkeys"
    Option         "XkbOptions" "grp:menu_toggle,grp_led:scroll"
EndSection

#Section "InputDevice"
#    Identifier     "Configured Mouse"
#    Driver         "mouse"
#    Option         "CorePointer"
#    Option         "Device" "/dev/input/mice"
#    Option         "Protocol" "ExplorerPS/2"
#    Option         "Resolution" "800"
#EndSection

Section "InputDevice"
    Identifier     "evMX310"
    Driver         "evdev"
    Option         "CorePointer"
    Option         "Device" "/dev/input/by-id/usb-Logitech_USB-PS.2_Optical_Mouse-event-mouse"
#    Option         "Device" "/dev/input/event1
    Option         "Name" "Logitech USB-PS/2 Optical Mouse"
EndSection

Section "Monitor"
# default, 92 dpi
#    DisplaySize 283 212
# 96 dpi, hack from "271 203" for nvidia
    DisplaySize 269 203
# debian standard, 100 dpi
#    DisplaySize 260 195
    Identifier     "MainMonitor"
    HorizSync       30.0 - 90.0
    VertRefresh     60.0 - 100.0
    Gamma           0.65
    Option         "DPMS"
EndSection

Section "Device"
#    Driver        "nv"
    Identifier     "nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)]"
    Driver         "nvidia"
EndSection

Section "Screen"
    Identifier     "Default Screen"
    Device         "nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)]"
    Monitor        "MainMonitor"
    DefaultDepth    24
    Option         "UseEdidDpi" "FALSE"
    Option         "RenderAccel" "False"
    Option         "NoLogo" "True"
    SubSection     "Display"
        Depth       8
        Modes      "1024x768" "800x600" "640x480"
    EndSubSection
    SubSection     "Display"
        Depth       24
        Modes      "1024x768" "800x600" "640x480"
    EndSubSection
EndSection



Xorg X server log files on system:
-rw-r--r-- 1 root root 26645 2007-11-11 20:48 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.4.0
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4-3)
Current Operating System: Linux HellD 2.6.23.1-amd64 #1 Mon Nov 5 10:46:51 SAMT 2007 x86_64
Build Date: 29 September 2007  08:59:46PM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sun Nov 11 20:32:40 2007
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "MainMonitor"
(**) |   |-->Device "nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "evMX310"
(==) Automatically adding devices
(==) Automatically enabling devices
(==) Including the default font path /usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/cyrillic,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x7b1180
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(--) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 10de,005e card 1462,7135 rev a3 class 05,80,00 hdr 00
(II) PCI: 00:01:0: chip 10de,0050 card 1462,7135 rev a3 class 06,01,00 hdr 80
(II) PCI: 00:01:1: chip 10de,0052 card 1462,7135 rev a2 class 0c,05,00 hdr 80
(II) PCI: 00:02:0: chip 10de,005a card 1462,7135 rev a2 class 0c,03,10 hdr 80
(II) PCI: 00:02:1: chip 10de,005b card 1462,7135 rev a3 class 0c,03,20 hdr 80
(II) PCI: 00:04:0: chip 10de,0059 card 1462,b010 rev a2 class 04,01,00 hdr 00
(II) PCI: 00:06:0: chip 10de,0053 card 1462,7135 rev f2 class 01,01,8a hdr 00
(II) PCI: 00:07:0: chip 10de,0054 card 1462,7135 rev f3 class 01,01,85 hdr 00
(II) PCI: 00:08:0: chip 10de,0055 card 1462,7135 rev f3 class 01,01,85 hdr 00
(II) PCI: 00:09:0: chip 10de,005c card 0000,0000 rev a2 class 06,04,01 hdr 01
(II) PCI: 00:0a:0: chip 10de,0057 card 1462,7135 rev a3 class 06,80,00 hdr 00
(II) PCI: 00:0b:0: chip 10de,005d card 0000,0000 rev a3 class 06,04,00 hdr 01
(II) PCI: 00:0c:0: chip 10de,005d card 0000,0000 rev a3 class 06,04,00 hdr 01
(II) PCI: 00:0d:0: chip 10de,005d card 0000,0000 rev a3 class 06,04,00 hdr 01
(II) PCI: 00:0e:0: chip 10de,005d card 0000,0000 rev a3 class 06,04,00 hdr 01
(II) PCI: 00:18:0: chip 1022,1100 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 00:18:1: chip 1022,1101 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 00:18:2: chip 1022,1102 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 00:18:3: chip 1022,1103 card 0000,0000 rev 00 class 06,00,00 hdr 80
(II) PCI: 01:08:0: chip 1102,0007 card 1102,1006 rev 00 class 04,01,00 hdr 00
(II) PCI: 05:00:0: chip 10de,0161 card 1043,81ae rev a1 class 03,00,00 hdr 00
(II) PCI: End of PCI scan
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:1:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:9:0), (0,1,1), BCTRL: 0x0200 (VGA_EN is cleared)
(II) Bus 1 I/O range:
	[0] -1	0	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xfe900000 - 0xfe9fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xfea00000 - 0xfeafffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:11:0), (0,2,2), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x0000c000 - 0x0000cfff (0x1000) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xfe800000 - 0xfe8fffff (0x100000) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0	0xfe700000 - 0xfe7fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 3: bridge is at (0:12:0), (0,3,3), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 3 I/O range:
	[0] -1	0	0x0000b000 - 0x0000bfff (0x1000) IX[B]
(II) Bus 3 non-prefetchable memory range:
	[0] -1	0	0xfe600000 - 0xfe6fffff (0x100000) MX[B]
(II) Bus 3 prefetchable memory range:
	[0] -1	0	0xfe500000 - 0xfe5fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 4: bridge is at (0:13:0), (0,4,4), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 4 I/O range:
	[0] -1	0	0x0000a000 - 0x0000afff (0x1000) IX[B]
(II) Bus 4 non-prefetchable memory range:
	[0] -1	0	0xfe400000 - 0xfe4fffff (0x100000) MX[B]
(II) Bus 4 prefetchable memory range:
	[0] -1	0	0xfe300000 - 0xfe3fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 5: bridge is at (0:14:0), (0,5,5), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 5 I/O range:
	[0] -1	0	0x00009000 - 0x00009fff (0x1000) IX[B]
(II) Bus 5 non-prefetchable memory range:
	[0] -1	0	0xfb000000 - 0xfdffffff (0x3000000) MX[B]
(II) Bus 5 prefetchable memory range:
	[0] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B]
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:24:0), (0,0,5), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(--) PCI:*(5:0:0) nVidia Corporation NV44 [GeForce 6200 TurboCache(TM)] rev 161, Mem @ 0xfb000000/24, 0xd0000000/28, 0xfc000000/24
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xfebf9000 - 0xfebf9fff (0x1000) MX[B]
	[1] -1	0	0xfebfa000 - 0xfebfafff (0x1000) MX[B]
	[2] -1	0	0xfebfb000 - 0xfebfbfff (0x1000) MX[B]
	[3] -1	0	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[4] -1	0	0xfeb00000 - 0xfeb000ff (0x100) MX[B]
	[5] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[6] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[7] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[8] -1	0	0xfb000000 - 0xfbffffff (0x1000000) MX[B](B)
	[9] -1	0	0x0000df00 - 0x0000df1f (0x20) IX[B]
	[10] -1	0	0x0000f000 - 0x0000f007 (0x8) IX[B]
	[11] -1	0	0x0000f100 - 0x0000f10f (0x10) IX[B]
	[12] -1	0	0x00000b60 - 0x00000b63 (0x4) IX[B]
	[13] -1	0	0x00000960 - 0x00000967 (0x8) IX[B]
	[14] -1	0	0x00000be0 - 0x00000be3 (0x4) IX[B]
	[15] -1	0	0x000009e0 - 0x000009e7 (0x8) IX[B]
	[16] -1	0	0x0000f600 - 0x0000f60f (0x10) IX[B]
	[17] -1	0	0x00000b70 - 0x00000b73 (0x4) IX[B]
	[18] -1	0	0x00000970 - 0x00000977 (0x8) IX[B]
	[19] -1	0	0x00000bf0 - 0x00000bf3 (0x4) IX[B]
	[20] -1	0	0x000009f0 - 0x000009f7 (0x8) IX[B]
	[21] -1	0	0x0000fb00 - 0x0000fb0f (0x10) IX[B]
	[22] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[23] -1	0	0x0000ea00 - 0x0000eaff (0x100) IX[B]
	[24] -1	0	0x00004c40 - 0x00004c7f (0x40) IX[B]
	[25] -1	0	0x00004c00 - 0x00004c3f (0x40) IX[B]
	[26] -1	0	0x0000ff00 - 0x0000ff1f (0x20) IX[B]
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xfebf9000 - 0xfebf9fff (0x1000) MX[B]
	[1] -1	0	0xfebfa000 - 0xfebfafff (0x1000) MX[B]
	[2] -1	0	0xfebfb000 - 0xfebfbfff (0x1000) MX[B]
	[3] -1	0	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[4] -1	0	0xfeb00000 - 0xfeb000ff (0x100) MX[B]
	[5] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[6] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[7] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[8] -1	0	0xfb000000 - 0xfbffffff (0x1000000) MX[B](B)
	[9] -1	0	0x0000df00 - 0x0000df1f (0x20) IX[B]
	[10] -1	0	0x0000f000 - 0x0000f007 (0x8) IX[B]
	[11] -1	0	0x0000f100 - 0x0000f10f (0x10) IX[B]
	[12] -1	0	0x00000b60 - 0x00000b63 (0x4) IX[B]
	[13] -1	0	0x00000960 - 0x00000967 (0x8) IX[B]
	[14] -1	0	0x00000be0 - 0x00000be3 (0x4) IX[B]
	[15] -1	0	0x000009e0 - 0x000009e7 (0x8) IX[B]
	[16] -1	0	0x0000f600 - 0x0000f60f (0x10) IX[B]
	[17] -1	0	0x00000b70 - 0x00000b73 (0x4) IX[B]
	[18] -1	0	0x00000970 - 0x00000977 (0x8) IX[B]
	[19] -1	0	0x00000bf0 - 0x00000bf3 (0x4) IX[B]
	[20] -1	0	0x000009f0 - 0x000009f7 (0x8) IX[B]
	[21] -1	0	0x0000fb00 - 0x0000fb0f (0x10) IX[B]
	[22] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[23] -1	0	0x0000ea00 - 0x0000eaff (0x100) IX[B]
	[24] -1	0	0x00004c40 - 0x00004c7f (0x40) IX[B]
	[25] -1	0	0x00004c00 - 0x00004c3f (0x40) IX[B]
	[26] -1	0	0x0000ff00 - 0x0000ff1f (0x20) IX[B]
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebf9000 - 0xfebf9fff (0x1000) MX[B]
	[5] -1	0	0xfebfa000 - 0xfebfafff (0x1000) MX[B]
	[6] -1	0	0xfebfb000 - 0xfebfbfff (0x1000) MX[B]
	[7] -1	0	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[8] -1	0	0xfeb00000 - 0xfeb000ff (0x100) MX[B]
	[9] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[10] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[11] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[12] -1	0	0xfb000000 - 0xfbffffff (0x1000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x0000df00 - 0x0000df1f (0x20) IX[B]
	[16] -1	0	0x0000f000 - 0x0000f007 (0x8) IX[B]
	[17] -1	0	0x0000f100 - 0x0000f10f (0x10) IX[B]
	[18] -1	0	0x00000b60 - 0x00000b63 (0x4) IX[B]
	[19] -1	0	0x00000960 - 0x00000967 (0x8) IX[B]
	[20] -1	0	0x00000be0 - 0x00000be3 (0x4) IX[B]
	[21] -1	0	0x000009e0 - 0x000009e7 (0x8) IX[B]
	[22] -1	0	0x0000f600 - 0x0000f60f (0x10) IX[B]
	[23] -1	0	0x00000b70 - 0x00000b73 (0x4) IX[B]
	[24] -1	0	0x00000970 - 0x00000977 (0x8) IX[B]
	[25] -1	0	0x00000bf0 - 0x00000bf3 (0x4) IX[B]
	[26] -1	0	0x000009f0 - 0x000009f7 (0x8) IX[B]
	[27] -1	0	0x0000fb00 - 0x0000fb0f (0x10) IX[B]
	[28] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[29] -1	0	0x0000ea00 - 0x0000eaff (0x100) IX[B]
	[30] -1	0	0x00004c40 - 0x00004c7f (0x40) IX[B]
	[31] -1	0	0x00004c00 - 0x00004c3f (0x40) IX[B]
	[32] -1	0	0x0000ff00 - 0x0000ff1f (0x20) IX[B]
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "freetype" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded by default.
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.0, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.1
(II) NVIDIA GLX Module  100.14.19  Wed Sep 12 14:51:24 PDT 2007
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "nvidia"
(II) Loading /usr/lib/xorg/modules/drivers//nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Video Driver
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input//evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) NVIDIA dlloader X Driver  100.14.19  Wed Sep 12 14:10:47 PDT 2007
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 05:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset NVIDIA GPU found
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "wfb"
(II) LoadModule: "wfb"
(II) Loading /usr/lib/xorg/modules//libwfb.so
(II) Module wfb: vendor="NVIDIA Corporation"
	compiled for 7.1.99.2, module version = 1.0.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/lib/xorg/modules//libxaa.so
(II) Module xaa: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.0
	ABI class: X.Org Video Driver, version 2.0
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebf9000 - 0xfebf9fff (0x1000) MX[B]
	[5] -1	0	0xfebfa000 - 0xfebfafff (0x1000) MX[B]
	[6] -1	0	0xfebfb000 - 0xfebfbfff (0x1000) MX[B]
	[7] -1	0	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[8] -1	0	0xfeb00000 - 0xfeb000ff (0x100) MX[B]
	[9] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[10] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[11] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[12] -1	0	0xfb000000 - 0xfbffffff (0x1000000) MX[B](B)
	[13] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[14] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[15] -1	0	0x0000df00 - 0x0000df1f (0x20) IX[B]
	[16] -1	0	0x0000f000 - 0x0000f007 (0x8) IX[B]
	[17] -1	0	0x0000f100 - 0x0000f10f (0x10) IX[B]
	[18] -1	0	0x00000b60 - 0x00000b63 (0x4) IX[B]
	[19] -1	0	0x00000960 - 0x00000967 (0x8) IX[B]
	[20] -1	0	0x00000be0 - 0x00000be3 (0x4) IX[B]
	[21] -1	0	0x000009e0 - 0x000009e7 (0x8) IX[B]
	[22] -1	0	0x0000f600 - 0x0000f60f (0x10) IX[B]
	[23] -1	0	0x00000b70 - 0x00000b73 (0x4) IX[B]
	[24] -1	0	0x00000970 - 0x00000977 (0x8) IX[B]
	[25] -1	0	0x00000bf0 - 0x00000bf3 (0x4) IX[B]
	[26] -1	0	0x000009f0 - 0x000009f7 (0x8) IX[B]
	[27] -1	0	0x0000fb00 - 0x0000fb0f (0x10) IX[B]
	[28] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[29] -1	0	0x0000ea00 - 0x0000eaff (0x100) IX[B]
	[30] -1	0	0x00004c40 - 0x00004c7f (0x40) IX[B]
	[31] -1	0	0x00004c00 - 0x00004c3f (0x40) IX[B]
	[32] -1	0	0x0000ff00 - 0x0000ff1f (0x20) IX[B]
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xfebf9000 - 0xfebf9fff (0x1000) MX[B]
	[5] -1	0	0xfebfa000 - 0xfebfafff (0x1000) MX[B]
	[6] -1	0	0xfebfb000 - 0xfebfbfff (0x1000) MX[B]
	[7] -1	0	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[8] -1	0	0xfeb00000 - 0xfeb000ff (0x100) MX[B]
	[9] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[10] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[11] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[12] -1	0	0xfb000000 - 0xfbffffff (0x1000000) MX[B](B)
	[13] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[14] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[15] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[16] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[17] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[18] -1	0	0x0000df00 - 0x0000df1f (0x20) IX[B]
	[19] -1	0	0x0000f000 - 0x0000f007 (0x8) IX[B]
	[20] -1	0	0x0000f100 - 0x0000f10f (0x10) IX[B]
	[21] -1	0	0x00000b60 - 0x00000b63 (0x4) IX[B]
	[22] -1	0	0x00000960 - 0x00000967 (0x8) IX[B]
	[23] -1	0	0x00000be0 - 0x00000be3 (0x4) IX[B]
	[24] -1	0	0x000009e0 - 0x000009e7 (0x8) IX[B]
	[25] -1	0	0x0000f600 - 0x0000f60f (0x10) IX[B]
	[26] -1	0	0x00000b70 - 0x00000b73 (0x4) IX[B]
	[27] -1	0	0x00000970 - 0x00000977 (0x8) IX[B]
	[28] -1	0	0x00000bf0 - 0x00000bf3 (0x4) IX[B]
	[29] -1	0	0x000009f0 - 0x000009f7 (0x8) IX[B]
	[30] -1	0	0x0000fb00 - 0x0000fb0f (0x10) IX[B]
	[31] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[32] -1	0	0x0000ea00 - 0x0000eaff (0x100) IX[B]
	[33] -1	0	0x00004c40 - 0x00004c7f (0x40) IX[B]
	[34] -1	0	0x00004c00 - 0x00004c3f (0x40) IX[B]
	[35] -1	0	0x0000ff00 - 0x0000ff1f (0x20) IX[B]
	[36] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[37] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(**) NVIDIA(0): Using gamma correction (0.6, 0.6, 0.6)
(**) NVIDIA(0): Option "NoLogo" "True"
(**) NVIDIA(0): Option "RenderAccel" "False"
(**) NVIDIA(0): Option "UseEdidDpi" "FALSE"
(**) NVIDIA(0): Disabling RENDER acceleration
(II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
(II) NVIDIA(0):     enabled.
(II) NVIDIA(0): NVIDIA GPU GeForce 6200 TurboCache(TM) (NV44) at PCI:5:0:0
(II) NVIDIA(0):     (GPU-0)
(--) NVIDIA(0): Memory: 262144 kBytes
(--) NVIDIA(0): VideoBIOS: 05.44.02.11.00
(II) NVIDIA(0): Detected PCI Express Link width: 16X
(--) NVIDIA(0): Interlaced video modes are supported on this GPU
(--) NVIDIA(0): Connected display device(s) on GeForce 6200 TurboCache(TM) at
(--) NVIDIA(0):     PCI:5:0:0:
(--) NVIDIA(0):     COMPAQ V500 (CRT-0)
(--) NVIDIA(0): COMPAQ V500 (CRT-0): 400.0 MHz maximum pixel clock
(II) NVIDIA(0): Assigned Display Device: CRT-0
(II) NVIDIA(0): Validated modes:
(II) NVIDIA(0):     "1024x768"
(II) NVIDIA(0):     "800x600"
(II) NVIDIA(0):     "640x480"
(II) NVIDIA(0): Virtual screen size determined to be 1024 x 768
(**) NVIDIA(0): DPI set to (96, 96); computed from "DisplaySize" Monitor
(**) NVIDIA(0):     section option
(==) NVIDIA(0): Enabling 32-bit ARGB GLX visuals.
(--) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B]
	[1] 0	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B]
	[2] 0	0	0xfb000000 - 0xfbffffff (0x1000000) MX[B]
	[3] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[4] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[5] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[6] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[7] -1	0	0xfebf9000 - 0xfebf9fff (0x1000) MX[B]
	[8] -1	0	0xfebfa000 - 0xfebfafff (0x1000) MX[B]
	[9] -1	0	0xfebfb000 - 0xfebfbfff (0x1000) MX[B]
	[10] -1	0	0xfebfd000 - 0xfebfdfff (0x1000) MX[B]
	[11] -1	0	0xfeb00000 - 0xfeb000ff (0x100) MX[B]
	[12] -1	0	0xfebff000 - 0xfebfffff (0x1000) MX[B]
	[13] -1	0	0xfc000000 - 0xfcffffff (0x1000000) MX[B](B)
	[14] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[15] -1	0	0xfb000000 - 0xfbffffff (0x1000000) MX[B](B)
	[16] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[17] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[18] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x0000df00 - 0x0000df1f (0x20) IX[B]
	[22] -1	0	0x0000f000 - 0x0000f007 (0x8) IX[B]
	[23] -1	0	0x0000f100 - 0x0000f10f (0x10) IX[B]
	[24] -1	0	0x00000b60 - 0x00000b63 (0x4) IX[B]
	[25] -1	0	0x00000960 - 0x00000967 (0x8) IX[B]
	[26] -1	0	0x00000be0 - 0x00000be3 (0x4) IX[B]
	[27] -1	0	0x000009e0 - 0x000009e7 (0x8) IX[B]
	[28] -1	0	0x0000f600 - 0x0000f60f (0x10) IX[B]
	[29] -1	0	0x00000b70 - 0x00000b73 (0x4) IX[B]
	[30] -1	0	0x00000970 - 0x00000977 (0x8) IX[B]
	[31] -1	0	0x00000bf0 - 0x00000bf3 (0x4) IX[B]
	[32] -1	0	0x000009f0 - 0x000009f7 (0x8) IX[B]
	[33] -1	0	0x0000fb00 - 0x0000fb0f (0x10) IX[B]
	[34] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[35] -1	0	0x0000ea00 - 0x0000eaff (0x100) IX[B]
	[36] -1	0	0x00004c40 - 0x00004c7f (0x40) IX[B]
	[37] -1	0	0x00004c00 - 0x00004c3f (0x40) IX[B]
	[38] -1	0	0x0000ff00 - 0x0000ff1f (0x20) IX[B]
	[39] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[40] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) NVIDIA(0): Initialized GART.
(II) NVIDIA(0): Setting mode "1024x768"
(II) Loading extension NV-GLX
(II) NVIDIA(0): NVIDIA 3D Acceleration Architecture Initialized
(II) NVIDIA(0): Using the NVIDIA 2D acceleration architecture
(==) NVIDIA(0): Backing store disabled
(==) NVIDIA(0): Silken mouse enabled
(**) Option "dpms"
(**) NVIDIA(0): DPMS enabled
(II) Loading extension NV-CONTROL
(==) RandR enabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
(II) Initializing extension GLX
(**) Option "CoreKeyboard"
(**) Generic Keyboard: always reports core events
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc104"
(**) Generic Keyboard: XkbModel: "pc104"
(**) Option "XkbLayout" "us,ru"
(**) Generic Keyboard: XkbLayout: "us,ru"
(**) Option "XkbVariant" ",winkeys"
(**) Generic Keyboard: XkbVariant: ",winkeys"
(**) Option "XkbOptions" "grp:menu_toggle,grp_led:scroll"
(**) Generic Keyboard: XkbOptions: "grp:menu_toggle,grp_led:scroll"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(**) Option "CorePointer"
(**) evMX310: always reports core events
(II) evMX310: Found 3 relative axes.
(II) evMX310: Configuring as pointer.
(II) evMX310: Found 6 mouse buttons
(II) evMX310: Configured 9 mouse buttons.
(II) evaluating device (evMX310)
(II) XINPUT: Adding extended input device "evMX310" (type: MOUSE)
(II) evaluating device (Generic Keyboard)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(**) evMX310: 2 valuators.
(**) evMX310: Configuring in Absolute mode.
(**) evMX310: Registering 9 buttons.
(II) evMX310: Init
(II) evMX310: On
Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
(II) NVIDIA(0): Setting mode "800x600"
(II) NVIDIA(0): Setting mode "1024x768"
(II) NVIDIA(0): Setting mode "800x600"
(II) NVIDIA(0): Setting mode "1024x768"
(II) NVIDIA(0): Setting mode "800x600"
(II) NVIDIA(0): Setting mode "1024x768"


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.23.1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xserver-xorg-input-evdev depends on:
ii  libc6                         2.6.1-6    GNU C Library: Shared libraries
ii  xserver-xorg-core             2:1.4-3    Xorg X server - core server

xserver-xorg-input-evdev recommends no packages.

-- no debconf information
[xorg.conf (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 450851@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: HoverHell <hoverhell@gmail.com>, 450851@bugs.debian.org
Subject: Re: Bug#450851: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Sun, 25 Nov 2007 23:44:51 +0100
HoverHell wrote:
> Package: xserver-xorg-input-evdev
> Version: 1:1.2.0~git20070819-3
> Severity: normal
>
>
> Checked in tremulous, ezquake, dosbox.
> 'Driver "mouse"' works fine (one that commented oyt in attached xorg.conf).
> Updated from 1:1.1.5-3.
> xorg core packages were updated, too.
> * Also, after update mouse didn't move at all until I specified 'Option
>  "device"' in xorg.conf, e.g. in previous version 'Option "Name"' somehow
>  was sufficient.
>   


Does xserver-xorg-core 1.4.1 from unstable help here? It contains lots of
input-related fixes.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to HoverHell <hoverhell@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 450851@bugs.debian.org (full text, mbox):

From: HoverHell <hoverhell@gmail.com>
To: "Brice Goglin" <Brice.Goglin@ens-lyon.org>, 450851@bugs.debian.org
Subject: Re: Bug#450851: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Mon, 26 Nov 2007 14:13:29 +0400
On Nov 26, 2007 2:44 AM, Brice Goglin <Brice.Goglin@ens-lyon.org> wrote:
> HoverHell wrote:
> > Package: xserver-xorg-input-evdev
> > Version: 1:1.2.0~git20070819-3
> > Severity: normal
> >
> >
> > Checked in tremulous, ezquake, dosbox.
> > 'Driver "mouse"' works fine (one that commented oyt in attached xorg.conf).
> > Updated from 1:1.1.5-3.
> > xorg core packages were updated, too.
> > * Also, after update mouse didn't move at all until I specified 'Option
> >  "device"' in xorg.conf, e.g. in previous version 'Option "Name"' somehow
> >  was sufficient.
> >
>
>
> Does xserver-xorg-core 1.4.1 from unstable help here? It contains lots of
> input-related fixes.
>
> Brice
>
>

Ok, I'll try it soon, but...
I know of same problem with gentoo, xorg 1.4-r2 ("-r2" -
gentoo-specific), x86-input-evdev 1.1.5-r2 works, 1.2.0 doesn't.


-- 
     --HoverHell (ICQ#174520, XMPP/GTalk here, GPG 30E202CB).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to "K. Gysin" <deb-amd64@oberon.on-the-web.ch>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 450851@bugs.debian.org (full text, mbox):

From: "K. Gysin" <deb-amd64@oberon.on-the-web.ch>
To: 450851@bugs.debian.org
Subject: Reproduced also in latest unstable...
Date: Mon, 26 Nov 2007 11:49:25 +0100
Hi all,

I have the same problem with the latest unstable...

Regards,

-kurt

----------------------


Section "InputDevice"
        Identifier      "MX1000"
        Driver          "evdev"
        Option          "CorePointer"
        #Option          "Name"                 "Logitech USB Receiver"
        Option          "Device"
"/dev/input/by-id/usb-Logitech_USB_Receiver-event-mouse"
        Option          "ZAxisMapping"          "4 5 7 6"
        Option          "Buttons"               "12"
EndSection



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-1-amd64 (SMP w/1 CPU core)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-input-evdev depends on:
ii  libc6              2.6.1-1               GNU C Library: Shared
libraries
ii  xserver-xorg-core  2:1.4.1~git20071119-1 Xorg X server - core server

xserver-xorg-input-evdev recommends no packages.
-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-1-amd64 (SMP w/1 CPU core)
Locale: LANG=de_CH.UTF-8, LC_CTYPE=de_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-input-evdev depends on:
ii  libc6              2.6.1-1               GNU C Library: Shared
libraries
ii  xserver-xorg-core  2:1.4.1~git20071119-1 Xorg X server - core server

xserver-xorg-input-evdev recommends no packages.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to HoverHell <hoverhell@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 450851@bugs.debian.org (full text, mbox):

From: HoverHell <hoverhell@gmail.com>
To: 450851@bugs.debian.org
Subject: Re: Bug#450851: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Mon, 26 Nov 2007 17:31:01 +0400
 On Nov 26, 2007 2:44 AM, Brice Goglin <Brice.Goglin@ens-lyon.org> wrote:
> Does xserver-xorg-core 1.4.1 from unstable help here? It contains lots of input-related fixes.

No, it doesn't help. Same behaviour.

By the way, all 3 mentioned cases are seem to be with logitech mouses
(MX 310, Logitech MX Revolution and some Logitech USB mouse of K.
Gysin above).

-- 
     --HoverHell (ICQ#174520, XMPP/GTalk here, GPG 30E202CB).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 450851@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: HoverHell <hoverhell@gmail.com>, 450851@bugs.debian.org
Subject: Re: Bug#450851: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Sat, 22 Dec 2007 16:23:15 +0100
HoverHell wrote:
>  On Nov 26, 2007 2:44 AM, Brice Goglin <Brice.Goglin@ens-lyon.org> wrote:
>   
>> Does xserver-xorg-core 1.4.1 from unstable help here? It contains lots of input-related fixes.
>>     
>
> No, it doesn't help. Same behaviour.
>
> By the way, all 3 mentioned cases are seem to be with logitech mouses
> (MX 310, Logitech MX Revolution and some Logitech USB mouse of K.
> Gysin above).
>   


Looking in the upstream bugzilla, I found
   https://bugs.freedesktop.org/show_bug.cgi?id=12607
which got "resolved" by changing the "in_dgamouse" setting to 0.

Do you have something like this in your games? Then I wonder if all this 
could be related to bugs like #444601.

Brice





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to John Washington <corran@dragons-perch.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #35 received at 450851@bugs.debian.org (full text, mbox):

From: John Washington <corran@dragons-perch.net>
To: 450851@bugs.debian.org
Date: Sat, 22 Dec 2007 19:22:17 -0600
Setting in_dgamouse to zero just forced the mouse into the top left corner instead of the bottom right (for me).




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to HoverHell <hoverhell@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 450851@bugs.debian.org (full text, mbox):

From: HoverHell <hoverhell@gmail.com>
To: "Brice Goglin" <Brice.Goglin@ens-lyon.org>
Subject: Re: Bug#450851: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Mon, 24 Dec 2007 10:13:01 +0400
[Message part 1 (text/plain, inline)]
On Dec 22, 2007 7:23 PM, Brice Goglin <Brice.Goglin@ens-lyon.org> wrote:

> Looking in the upstream bugzilla, I found
>    https://bugs.freedesktop.org/show_bug.cgi?id=12607
> which got "resolved" by changing the "in_dgamouse" setting to 0.
>
> Do you have something like this in your games? Then I wonder if all this
> could be related to bugs like #444601.


Considering that Bugzilla Bug 12601 is about problems only in
quake3/q3-based, it's probably not the same problem (dosbox is surely not
quake-based :) ).
And bug#444601 is about xserver-xorg-input-mouse (that works well for me
except extra keys, btw).

P.S. Problem in this bug is in some extra mouse movement events. It might be
good idea to track them (e.g. do they occur from evdev input device or not,
and after what exactly they start to appear), but I doubt I can do that.

-- 
    --HoverHell (ICQ#174520, XMPP/GTalk here, GPG 30E202CB).
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to "Ionut Ciocirlan" <ionut.ciocirlan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 450851@bugs.debian.org (full text, mbox):

From: "Ionut Ciocirlan" <ionut.ciocirlan@gmail.com>
To: 450851@bugs.debian.org
Subject: Re: Bug#450851: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Wed, 9 Jan 2008 04:59:22 +0200
This happens with a MS Intellimouse Explorer as well, so it's not
Logitech-related.

And indeed, it happens only when mouse is grabbed (setting \in_nograb
1 in tremulous "fixes" it).

Regards




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to Michael Gebetsroither <gebi@grml.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 450851@bugs.debian.org (full text, mbox):

From: Michael Gebetsroither <gebi@grml.org>
To: Debian Bug Tracking System <450851@bugs.debian.org>
Subject: xserver-xorg-input-evdev: mouse pointer moves down-right in captured state
Date: Sun, 20 Jan 2008 13:22:13 +0100
Package: xserver-xorg-input-evdev
Version: 1:1.2.0-1
Followup-For: Bug #450851


Hi,

xserver-xorg-input-evdev version 1.2.0 does not work, neither in qemu
nor dosbox nor nexuiz (mouse moves down right all the time).

I've just copied back the /usr/lib/xorg/modules/input/evdev_drv.so from
1.1.5-3 and now everything works fine.

Any information missing that this bug can be resolved?

cu,
michael

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 2007-03-28 13:12 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1831520 2008-01-07 00:34 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation 82G965 Integrated Graphics Controller (rev 02)

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 9173 2008-01-18 12:01 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
################################################################################
# Filename:      /etc/X11/xorg.conf
# Purpose:       config file for xserver - generated by grml-x
# Bug-Reports:   see http://grml.org/bugs/
# Latest change: Thu Nov 15 23:32:32 CET 2007
# See also:
#   /usr/share/doc/xserver-xorg/   and
#   http://wiki.x.org/wiki/Home    and
#   http://ftp.x.org/pub/X11R7.0/doc/html/index.html for information on Xorg
# Refer to the xorg.conf man page and to
# http://ftp.x.org/pub/X11R7.0/doc/html/xorg.conf.5.html
# for details about the format of this file.
#
# If you would like this file to be automatically reconfigured by debian,
# run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg
################################################################################

Section "ServerLayout"
        Identifier     "XServer Configured"
        Screen      0  "Screen0" 0 0
        #InputDevice    "Keyboard0" #    "CoreKeyboard"
        # InputDevice    "Generic Mouse" "CorePointer"
        #InputDevice    "MX510" #     "CorePointer"
        # InputDevice    "PS/2 Mouse"    "CorePointer"
        # No synaptics/alps touchpad present.
        # No serial mouse detected.
EndSection

Section "ServerFlags"
        Option "AllowMouseOpenFail"  "true"  # allows the server to start up even if the mouse does not work
        Option "DontVTSwitch"        "false" # allow switching between virtual terminal
        # Option "DontZap"             "true"  # disable <Crtl><Alt><BS> (server abort)
        # Option "DontZoom"            "true"  # disable <Crtl><Alt><KP_+>/<KP_-> (resolution switching)
EndSection

Section "Files"
        # More information:  http://ftp.x.org/pub/X11R7.0/doc/html/fonts.html
        FontPath     "/usr/share/fonts/X11/misc"
        FontPath     "/usr/share/fonts/X11/100dpi/:unscaled"
        FontPath     "/usr/share/fonts/X11/75dpi/:unscaled"
        FontPath     "/usr/share/fonts/X11/Type1"
        FontPath     "/usr/share/fonts/X11/100dpi"
        FontPath     "/usr/share/fonts/X11/75dpi"
        # FontPath     "/usr/share/fonts/ttf/western"
        # FontPath     "/usr/share/fonts/ttf/decoratives"
        FontPath     "/usr/share/fonts/truetype/ttf-bitstream-vera"
        FontPath     "/usr/share/fonts/latex-ttf-fonts"
        FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

# Modules - see /usr/X11R6/lib/modules/fonts and /usr/X11R6/lib/modules/extensions
Section "Module"
        Load  "dbe"       # double buffer extension
        Load  "dri"       # direct rendering
        Load  "glx"       # 3D layer / GLX extension
        Load  "type1"     # type1 font module
        Load  "freetype"  # freetype fonts rendering
        Load  "extmod"    # some commonly used server extensions (e.g. shape extension)
        Load  "record"    # recording extension
        Load  "evdev"     # generic input handling driver on Linux
        # Load  "vbe"       # Vesa BIOS Extension
        # Load  "i2c"       # I2C bus
        # Load  "int10"     # initialize graphics cards via int10 call to the BIOS
        # Load  "v4l"       # Video for Linux
        ## Deprecated/unneeded modules with Xorg >=7.0:
        # Load  "speedo"    # font module (does not exist anymore)
        # Load  "ddc"       # ddc probing of monitor (automatically loaded)
        # Load  "GLcore"    # render OpenGL in software (automatically loaded)
        # Load  "bitmap"    # bitmap fonts (automatically loaded)
# Valid entries - see /usr/lib/xorg/modules/[extensions/]
# afb bitmap cfb cfb16 cfb24 cfb32 cw damage dbe ddc dri drm extmod fb
# fbdevhw freetype GLcore glx i2c int10 int10 layer mfb pcidata rac ramdac
# record scanpci shadow shadowfb type1 vbe vgahw xaa xf1bpp xf24_32bpp xf4bpp
# xf8_16bpp xf8_32bpp xtrap
EndSection

#Section "InputDevice"
#        Identifier  "Keyboard0"
#        Option      "CoreKeyboard"
#        #Driver      "kbd"
#        Driver      "evdev"
#        Option      "Device"        "/dev/input/by-path/platform-i8042-serio-0-event-kbd"
#        # Option      "XkbRules"   "xfree86"
#        Option      "XkbRules"   "xorg"
#        Option      "XkbModel"   "pc105"
#        Option      "XkbLayout"  "us,us"
#        # Option      "XkbVariant" "nodeadkeys"
#        Option      "XkbOptions" "ctrl:swapcaps,grp:alt_shift_toggle,grp_led:scroll,compose:menu"
#EndSection
# If you'd like to switch the positions of your capslock and control keys, use:
# Option "XkbOptions" "ctrl:swapcaps"
# Or if you just want both to be control, use:
# Option "XkbOptions" "ctrl:nocaps"
# More information: http://ftp.x.org/pub/X11R7.0/doc/html/XKB-Config.html
# Section "InputDevice"
#         Identifier  "Keyboard0"
#         Option      "CoreKeyboard"
#         # Driver      "kbd"
#         Option      "XkbRules"   "xfree86"
#         Option      "XkbRules"   "xorg"
#         Option      "XkbModel"   "pc105"
#         Option      "XkbLayout"  "us,us"
#         Option      "XkbVariant" "nodeadkeys"
#         # Option      "XkbOptions" "ctrl:swapcaps,grp:alt_shift_toggle,grp_led:scroll,compose:menu"
# EndSection

# More information: http://ftp.x.org/pub/X11R7.0/doc/html/mouse.html

#Section "InputDevice"
#    Identifier  "MX510"
#    Driver      "evdev"
#    Option      "CorePointer"
#    #Option      "Device"        "/dev/input/by-path/pci-0000:00:1d.1-usb-0:1:1.0-event-mouse"
#    Option      "Device"        "/dev/input/event3"
#    #Option      "Name"          "Logitech USB-PS/2 Optical Mouse"
#    Option      "Resolution"    "800"
#EndSection

# Section "InputDevice"
#         Identifier      "Generic Mouse"
#         Driver          "evdev"
#         Option          "Device"                "/dev/input/mice"
#         Option          "Protocol"              "auto"
#         Option          "ZAxisMapping"          "4 5"
#         Option          "Buttons"               "5"
#         Option          "SendCoreEvents"        "true"
# EndSection

Section "Monitor"
        Identifier   "Monitor0"
#       ModelName    "Old Monitor (no DDC)"
        Option       "DPMS"      "true"
#       HorizSync    28.0 - 78.0 # Warning: This may fry very old Monitors
#       HorizSync    28.0 - 96.0 # Warning: This may fry old Monitors
        HorizSync    30.0 - 98.0
#       VertRefresh  50.0 - 76.0 # Very conservative. May flicker.
#       VertRefresh  50.0 - 60.0 # Extreme conservative. Will flicker. TFT default.
        VertRefresh  50.0 - 160.0
# Need more information?
#  http://xtiming.sourceforge.net/cgi-bin/xtiming.pl
#  http://en.tldp.org/HOWTO/XFree86-Video-Timings-HOWTO/
EndSection

Section "Device"
        ### Available Driver options are:
        ## sw_cursor is needed for some ati and radeon cards
        # Option     "sw_cursor"
        # Option     "hw_cursor"
        # Option     "NoAccel"
        # Option     "ShowCache"
        # Option     "ShadowFB"
        # Option     "UseFBDev"
        # Option     "Rotate"
        ## xorg + nvidia:
        # Option "RenderAccel" "true"
        # Option "AllowGLXWithComposite" "true"
        Identifier  "Card0"
        # The following line is auto-generated by grml-x
        Driver      "intel"
        #Driver      "vesa"
        VendorName  "All"
        BoardName   "All"
        ## Workaround for drivers (for example radeon) which might send output to wrong device:
        # Option "MonitorLayout" "LVDS, AUTO"
        # Option "MonitorLayout" "LVDS, CRT"
        # Option "MonitorLayout" "NONE, STV"
        # Option "MonitorLayout" "LVDS"
        ## Specify BusID:
        # BusID       "PCI:1:0:0"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Card0"
        Monitor    "Monitor0"
        DefaultColorDepth 16
        SubSection "Display"
                Depth     1
                # Modes "1280x1024" "1024x768" "800x600" "720x400" "640x480" 
        EndSubSection
        SubSection "Display"
                Depth     4
                # Modes "1280x1024" "1024x768" "800x600" "720x400" "640x480" 
        EndSubSection
        SubSection "Display"
                Depth     8
                # Modes "1280x1024" "1024x768" "800x600" "720x400" "640x480" 
        EndSubSection
        SubSection "Display"
                Depth     15
                # Modes "1280x1024" "1024x768" "800x600" "720x400" "640x480" 
        EndSubSection
        SubSection "Display"
                Depth     16
                Modes "1280x1024" "1024x768" "800x600" "720x400" "640x480" 
        EndSubSection
        SubSection "Display"
                Depth     24
                # Modes "1280x1024" "1024x768" "800x600" "720x400" "640x480" 
        EndSubSection
        SubSection "Display"
                Depth     32
                # Modes "1280x1024" "1024x768" "800x600" "720x400" "640x480" 
        EndSubSection
EndSection

# Make sure you have the relevant Debian packages on your system
# to be able to use DRI (libgl1-mesa-dri for example)
Section "DRI"
        Mode 0666
EndSection

#Section "Extensions"
#    Option "Composite" "Enable"
#EndSection

## END OF FILE #################################################################


Xorg X server log files on system:
-rw-r--r-- 1 root root 42726 2008-01-20 13:01 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

This is a pre-release version of the X server from The X.Org Foundation.
It is not supported in any way.
Bugs may be filed in the bugzilla at http://bugs.freedesktop.org/.
Select the "xorg" product for bugs you find in this release.
Before reporting bugs in pre-release versions please check the
latest version in the X.Org Foundation git repository.
See http://wiki.x.org/wiki/GitPage for git access instructions.

X.Org X Server 1.4.0.90
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.1~git20080105-1)
Current Operating System: Linux god 2.6.23-grml64 #2 SMP PREEMPT Sat Dec 15 16:33:51 CET 2007 x86_64
Build Date: 06 January 2008  11:20:39PM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Fri Jan 18 12:01:32 2008
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "XServer Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "Monitor0"
(**) |   |-->Device "Card0"
(**) Option "DontVTSwitch" "false"
(**) Option "AllowMouseOpenFail" "true"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/latex-ttf-fonts" does not exist.
	Entry deleted from font path.
(==) Including the default font path /usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/usr/share/fonts/truetype/ttf-bitstream-vera,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/cyrillic,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(==) |-->Input Device "<default pointer>"
(==) |-->Input Device "<default keyboard>"
(==) The core pointer device wasn't specified explicitly in the layout.
	Using the default mouse configuration.
(==) The core keyboard device wasn't specified explicitly in the layout.
	Using the default keyboard configuration.
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(II) No APM support in BIOS or kernel
(II) Loader magic: 0x7b2660
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(WW) xf86OpenConsole: setpgid failed: Operation not permitted
(WW) xf86OpenConsole: setsid failed: Operation not permitted
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,29a0 card 8086,514d rev 02 class 06,00,00 hdr 00
(II) PCI: 00:02:0: chip 8086,29a2 card 8086,514d rev 02 class 03,00,00 hdr 00
(II) PCI: 00:03:0: chip 8086,29a4 card 8086,514d rev 02 class 07,80,00 hdr 80
(II) PCI: 00:19:0: chip 8086,104b card 8086,0001 rev 02 class 02,00,00 hdr 00
(II) PCI: 00:1a:0: chip 8086,2834 card 8086,514d rev 02 class 0c,03,00 hdr 80
(II) PCI: 00:1a:1: chip 8086,2835 card 8086,514d rev 02 class 0c,03,00 hdr 00
(II) PCI: 00:1a:7: chip 8086,283a card 8086,514d rev 02 class 0c,03,20 hdr 00
(II) PCI: 00:1b:0: chip 8086,284b card 8086,2504 rev 02 class 04,03,00 hdr 00
(II) PCI: 00:1c:0: chip 8086,283f card 0000,0000 rev 02 class 06,04,00 hdr 81
(II) PCI: 00:1c:1: chip 8086,2841 card 0000,0000 rev 02 class 06,04,00 hdr 81
(II) PCI: 00:1c:2: chip 8086,2843 card 0000,0000 rev 02 class 06,04,00 hdr 81
(II) PCI: 00:1c:3: chip 8086,2845 card 0000,0000 rev 02 class 06,04,00 hdr 81
(II) PCI: 00:1c:4: chip 8086,2847 card 0000,0000 rev 02 class 06,04,00 hdr 81
(II) PCI: 00:1d:0: chip 8086,2830 card 8086,514d rev 02 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,2831 card 8086,514d rev 02 class 0c,03,00 hdr 00
(II) PCI: 00:1d:2: chip 8086,2832 card 8086,514d rev 02 class 0c,03,00 hdr 00
(II) PCI: 00:1d:7: chip 8086,2836 card 8086,514d rev 02 class 0c,03,20 hdr 00
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev f2 class 06,04,01 hdr 01
(II) PCI: 00:1f:0: chip 8086,2812 card 8086,514d rev 02 class 06,01,00 hdr 80
(II) PCI: 00:1f:2: chip 8086,2821 card 8086,514d rev 02 class 01,06,01 hdr 00
(II) PCI: 00:1f:3: chip 8086,283e card 8086,514d rev 02 class 0c,05,00 hdr 00
(II) PCI: 02:00:0: chip 11ab,6101 card 11ab,6101 rev b1 class 01,01,8f hdr 00
(II) PCI: 06:00:0: chip 10b7,9200 card 10b7,1000 rev 78 class 02,00,00 hdr 00
(II) PCI: 06:01:0: chip 10b7,9200 card 10b7,1000 rev 78 class 02,00,00 hdr 00
(II) PCI: 06:02:0: chip 1412,1712 card 1412,d632 rev 02 class 04,01,00 hdr 00
(II) PCI: 06:03:0: chip 104c,8023 card 8086,514d rev 00 class 0c,00,10 hdr 00
(II) PCI: End of PCI scan
(II) Intel Bridge workaround enabled
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,6), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:28:0), (0,1,1), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xe0400000 - 0xe04fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:28:1), (0,2,2), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x00002000 - 0x000020ff (0x100) IX[B]
	[1] -1	0	0x00002400 - 0x000024ff (0x100) IX[B]
	[2] -1	0	0x00002800 - 0x000028ff (0x100) IX[B]
	[3] -1	0	0x00002c00 - 0x00002cff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xe0100000 - 0xe01fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 3: bridge is at (0:28:2), (0,3,3), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 3 non-prefetchable memory range:
	[0] -1	0	0xe0500000 - 0xe05fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 4: bridge is at (0:28:3), (0,4,4), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 4 non-prefetchable memory range:
	[0] -1	0	0xe0600000 - 0xe06fffff (0x100000) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 5: bridge is at (0:28:4), (0,5,5), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 5 non-prefetchable memory range:
	[0] -1	0	0xe0700000 - 0xe07fffff (0x100000) MX[B]
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 6: bridge is at (0:30:0), (0,6,6), BCTRL: 0x0004 (VGA_EN is cleared)
(II) Bus 6 I/O range:
	[0] -1	0	0x00001000 - 0x000010ff (0x100) IX[B]
	[1] -1	0	0x00001400 - 0x000014ff (0x100) IX[B]
	[2] -1	0	0x00001800 - 0x000018ff (0x100) IX[B]
	[3] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
(II) Bus 6 non-prefetchable memory range:
	[0] -1	0	0xe0000000 - 0xe00fffff (0x100000) MX[B]
(II) Bus 6 prefetchable memory range:
	[0] -1	0	0xe0800000 - 0xe08fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(--) PCI:*(0:2:0) Intel Corporation 82G965 Integrated Graphics Controller rev 2, Mem @ 0xe0200000/20, 0xd0000000/28, I/O @ 0x3110/3
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x100000000) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
	[0] -1	0	0xe0000000 - 0xe0003fff (0x4000) MX[B]
	[1] -1	0	0xe0004000 - 0xe00047ff (0x800) MX[B]
	[2] -1	0	0xe0004800 - 0xe000487f (0x80) MX[B]
	[3] -1	0	0xe0004880 - 0xe00048ff (0x80) MX[B]
	[4] -1	0	0xe0100000 - 0xe01001ff (0x200) MX[B]
	[5] -1	0	0xe0326000 - 0xe03260ff (0x100) MX[B]
	[6] -1	0	0xe0325000 - 0xe03257ff (0x800) MX[B]
	[7] -1	0	0xe0325800 - 0xe0325bff (0x400) MX[B]
	[8] -1	0	0xe0320000 - 0xe0323fff (0x4000) MX[B]
	[9] -1	0	0xe0325c00 - 0xe0325fff (0x400) MX[B]
	[10] -1	0	0xe0324000 - 0xe0324fff (0x1000) MX[B]
	[11] -1	0	0xe0300000 - 0xe031ffff (0x20000) MX[B]
	[12] -1	0	0xe0326100 - 0xe032610f (0x10) MX[B]
	[13] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[14] -1	0	0xe0200000 - 0xe02fffff (0x100000) MX[B](B)
	[15] -1	0	0x00001100 - 0x0000113f (0x40) IX[B]
	[16] -1	0	0x00001160 - 0x0000116f (0x10) IX[B]
	[17] -1	0	0x00001170 - 0x0000117f (0x10) IX[B]
	[18] -1	0	0x00001140 - 0x0000115f (0x20) IX[B]
	[19] -1	0	0x00001000 - 0x0000107f (0x80) IX[B]
	[20] -1	0	0x00001080 - 0x000010ff (0x80) IX[B]
	[21] -1	0	0x00002000 - 0x0000200f (0x10) IX[B]
	[22] -1	0	0x00002020 - 0x00002023 (0x4) IX[B]
	[23] -1	0	0x00002010 - 0x00002017 (0x8) IX[B]
	[24] -1	0	0x00002024 - 0x00002027 (0x4) IX[B]
	[25] -1	0	0x00002018 - 0x0000201f (0x8) IX[B]
	[26] -1	0	0x00003000 - 0x0000301f (0x20) IX[B]
	[27] -1	0	0x00003020 - 0x0000303f (0x20) IX[B]
	[28] -1	0	0x00003118 - 0x0000311b (0x4) IX[B]
	[29] -1	0	0x00003100 - 0x00003107 (0x8) IX[B]
	[30] -1	0	0x0000311c - 0x0000311f (0x4) IX[B]
	[31] -1	0	0x00003108 - 0x0000310f (0x8) IX[B]
	[32] -1	0	0x00003040 - 0x0000305f (0x20) IX[B]
	[33] -1	0	0x00003060 - 0x0000307f (0x20) IX[B]
	[34] -1	0	0x00003080 - 0x0000309f (0x20) IX[B]
	[35] -1	0	0x000030a0 - 0x000030bf (0x20) IX[B]
	[36] -1	0	0x000030c0 - 0x000030df (0x20) IX[B]
	[37] -1	0	0x000030e0 - 0x000030ff (0x20) IX[B]
	[38] -1	0	0x00003110 - 0x00003117 (0x8) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xe0000000 - 0xe0003fff (0x4000) MX[B]
	[1] -1	0	0xe0004000 - 0xe00047ff (0x800) MX[B]
	[2] -1	0	0xe0004800 - 0xe000487f (0x80) MX[B]
	[3] -1	0	0xe0004880 - 0xe00048ff (0x80) MX[B]
	[4] -1	0	0xe0100000 - 0xe01001ff (0x200) MX[B]
	[5] -1	0	0xe0326000 - 0xe03260ff (0x100) MX[B]
	[6] -1	0	0xe0325000 - 0xe03257ff (0x800) MX[B]
	[7] -1	0	0xe0325800 - 0xe0325bff (0x400) MX[B]
	[8] -1	0	0xe0320000 - 0xe0323fff (0x4000) MX[B]
	[9] -1	0	0xe0325c00 - 0xe0325fff (0x400) MX[B]
	[10] -1	0	0xe0324000 - 0xe0324fff (0x1000) MX[B]
	[11] -1	0	0xe0300000 - 0xe031ffff (0x20000) MX[B]
	[12] -1	0	0xe0326100 - 0xe032610f (0x10) MX[B]
	[13] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[14] -1	0	0xe0200000 - 0xe02fffff (0x100000) MX[B](B)
	[15] -1	0	0x00001100 - 0x0000113f (0x40) IX[B]
	[16] -1	0	0x00001160 - 0x0000116f (0x10) IX[B]
	[17] -1	0	0x00001170 - 0x0000117f (0x10) IX[B]
	[18] -1	0	0x00001140 - 0x0000115f (0x20) IX[B]
	[19] -1	0	0x00001000 - 0x0000107f (0x80) IX[B]
	[20] -1	0	0x00001080 - 0x000010ff (0x80) IX[B]
	[21] -1	0	0x00002000 - 0x0000200f (0x10) IX[B]
	[22] -1	0	0x00002020 - 0x00002023 (0x4) IX[B]
	[23] -1	0	0x00002010 - 0x00002017 (0x8) IX[B]
	[24] -1	0	0x00002024 - 0x00002027 (0x4) IX[B]
	[25] -1	0	0x00002018 - 0x0000201f (0x8) IX[B]
	[26] -1	0	0x00003000 - 0x0000301f (0x20) IX[B]
	[27] -1	0	0x00003020 - 0x0000303f (0x20) IX[B]
	[28] -1	0	0x00003118 - 0x0000311b (0x4) IX[B]
	[29] -1	0	0x00003100 - 0x00003107 (0x8) IX[B]
	[30] -1	0	0x0000311c - 0x0000311f (0x4) IX[B]
	[31] -1	0	0x00003108 - 0x0000310f (0x8) IX[B]
	[32] -1	0	0x00003040 - 0x0000305f (0x20) IX[B]
	[33] -1	0	0x00003060 - 0x0000307f (0x20) IX[B]
	[34] -1	0	0x00003080 - 0x0000309f (0x20) IX[B]
	[35] -1	0	0x000030a0 - 0x000030bf (0x20) IX[B]
	[36] -1	0	0x000030c0 - 0x000030df (0x20) IX[B]
	[37] -1	0	0x000030e0 - 0x000030ff (0x20) IX[B]
	[38] -1	0	0x00003110 - 0x00003117 (0x8) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe0000000 - 0xe0003fff (0x4000) MX[B]
	[5] -1	0	0xe0004000 - 0xe00047ff (0x800) MX[B]
	[6] -1	0	0xe0004800 - 0xe000487f (0x80) MX[B]
	[7] -1	0	0xe0004880 - 0xe00048ff (0x80) MX[B]
	[8] -1	0	0xe0100000 - 0xe01001ff (0x200) MX[B]
	[9] -1	0	0xe0326000 - 0xe03260ff (0x100) MX[B]
	[10] -1	0	0xe0325000 - 0xe03257ff (0x800) MX[B]
	[11] -1	0	0xe0325800 - 0xe0325bff (0x400) MX[B]
	[12] -1	0	0xe0320000 - 0xe0323fff (0x4000) MX[B]
	[13] -1	0	0xe0325c00 - 0xe0325fff (0x400) MX[B]
	[14] -1	0	0xe0324000 - 0xe0324fff (0x1000) MX[B]
	[15] -1	0	0xe0300000 - 0xe031ffff (0x20000) MX[B]
	[16] -1	0	0xe0326100 - 0xe032610f (0x10) MX[B]
	[17] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[18] -1	0	0xe0200000 - 0xe02fffff (0x100000) MX[B](B)
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x00001100 - 0x0000113f (0x40) IX[B]
	[22] -1	0	0x00001160 - 0x0000116f (0x10) IX[B]
	[23] -1	0	0x00001170 - 0x0000117f (0x10) IX[B]
	[24] -1	0	0x00001140 - 0x0000115f (0x20) IX[B]
	[25] -1	0	0x00001000 - 0x0000107f (0x80) IX[B]
	[26] -1	0	0x00001080 - 0x000010ff (0x80) IX[B]
	[27] -1	0	0x00002000 - 0x0000200f (0x10) IX[B]
	[28] -1	0	0x00002020 - 0x00002023 (0x4) IX[B]
	[29] -1	0	0x00002010 - 0x00002017 (0x8) IX[B]
	[30] -1	0	0x00002024 - 0x00002027 (0x4) IX[B]
	[31] -1	0	0x00002018 - 0x0000201f (0x8) IX[B]
	[32] -1	0	0x00003000 - 0x0000301f (0x20) IX[B]
	[33] -1	0	0x00003020 - 0x0000303f (0x20) IX[B]
	[34] -1	0	0x00003118 - 0x0000311b (0x4) IX[B]
	[35] -1	0	0x00003100 - 0x00003107 (0x8) IX[B]
	[36] -1	0	0x0000311c - 0x0000311f (0x4) IX[B]
	[37] -1	0	0x00003108 - 0x0000310f (0x8) IX[B]
	[38] -1	0	0x00003040 - 0x0000305f (0x20) IX[B]
	[39] -1	0	0x00003060 - 0x0000307f (0x20) IX[B]
	[40] -1	0	0x00003080 - 0x0000309f (0x20) IX[B]
	[41] -1	0	0x000030a0 - 0x000030bf (0x20) IX[B]
	[42] -1	0	0x000030c0 - 0x000030df (0x20) IX[B]
	[43] -1	0	0x000030e0 - 0x000030ff (0x20) IX[B]
	[44] -1	0	0x00003110 - 0x00003117 (0x8) IX[B](B)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded. This was enabled by default and also specified in the config file.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "freetype" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded. This was enabled by default and also specified in the config file.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "type1"
(WW) Warning, couldn't open module type1
(II) UnloadModule: "type1"
(EE) Failed to load module "type1" (module does not exist, 0)
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.0.90, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input//evdev_drv.so
dlopen: /usr/lib/xorg/modules/input//evdev_drv.so: undefined symbol: miPointerGetMotionEvents
(EE) Failed to load /usr/lib/xorg/modules/input//evdev_drv.so
(II) UnloadModule: "evdev"
(EE) Failed to load module "evdev" (loader failed, 7)
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 2.2.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.3
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, 965G, 965G, 965Q, 946GZ,
	965GM, 965GME/GLE, G33, Q35, Q33
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset 965G found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe0000000 - 0xe0003fff (0x4000) MX[B]
	[5] -1	0	0xe0004000 - 0xe00047ff (0x800) MX[B]
	[6] -1	0	0xe0004800 - 0xe000487f (0x80) MX[B]
	[7] -1	0	0xe0004880 - 0xe00048ff (0x80) MX[B]
	[8] -1	0	0xe0100000 - 0xe01001ff (0x200) MX[B]
	[9] -1	0	0xe0326000 - 0xe03260ff (0x100) MX[B]
	[10] -1	0	0xe0325000 - 0xe03257ff (0x800) MX[B]
	[11] -1	0	0xe0325800 - 0xe0325bff (0x400) MX[B]
	[12] -1	0	0xe0320000 - 0xe0323fff (0x4000) MX[B]
	[13] -1	0	0xe0325c00 - 0xe0325fff (0x400) MX[B]
	[14] -1	0	0xe0324000 - 0xe0324fff (0x1000) MX[B]
	[15] -1	0	0xe0300000 - 0xe031ffff (0x20000) MX[B]
	[16] -1	0	0xe0326100 - 0xe032610f (0x10) MX[B]
	[17] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[18] -1	0	0xe0200000 - 0xe02fffff (0x100000) MX[B](B)
	[19] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[20] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[21] -1	0	0x00001100 - 0x0000113f (0x40) IX[B]
	[22] -1	0	0x00001160 - 0x0000116f (0x10) IX[B]
	[23] -1	0	0x00001170 - 0x0000117f (0x10) IX[B]
	[24] -1	0	0x00001140 - 0x0000115f (0x20) IX[B]
	[25] -1	0	0x00001000 - 0x0000107f (0x80) IX[B]
	[26] -1	0	0x00001080 - 0x000010ff (0x80) IX[B]
	[27] -1	0	0x00002000 - 0x0000200f (0x10) IX[B]
	[28] -1	0	0x00002020 - 0x00002023 (0x4) IX[B]
	[29] -1	0	0x00002010 - 0x00002017 (0x8) IX[B]
	[30] -1	0	0x00002024 - 0x00002027 (0x4) IX[B]
	[31] -1	0	0x00002018 - 0x0000201f (0x8) IX[B]
	[32] -1	0	0x00003000 - 0x0000301f (0x20) IX[B]
	[33] -1	0	0x00003020 - 0x0000303f (0x20) IX[B]
	[34] -1	0	0x00003118 - 0x0000311b (0x4) IX[B]
	[35] -1	0	0x00003100 - 0x00003107 (0x8) IX[B]
	[36] -1	0	0x0000311c - 0x0000311f (0x4) IX[B]
	[37] -1	0	0x00003108 - 0x0000310f (0x8) IX[B]
	[38] -1	0	0x00003040 - 0x0000305f (0x20) IX[B]
	[39] -1	0	0x00003060 - 0x0000307f (0x20) IX[B]
	[40] -1	0	0x00003080 - 0x0000309f (0x20) IX[B]
	[41] -1	0	0x000030a0 - 0x000030bf (0x20) IX[B]
	[42] -1	0	0x000030c0 - 0x000030df (0x20) IX[B]
	[43] -1	0	0x000030e0 - 0x000030ff (0x20) IX[B]
	[44] -1	0	0x00003110 - 0x00003117 (0x8) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xe0000000 - 0xe0003fff (0x4000) MX[B]
	[5] -1	0	0xe0004000 - 0xe00047ff (0x800) MX[B]
	[6] -1	0	0xe0004800 - 0xe000487f (0x80) MX[B]
	[7] -1	0	0xe0004880 - 0xe00048ff (0x80) MX[B]
	[8] -1	0	0xe0100000 - 0xe01001ff (0x200) MX[B]
	[9] -1	0	0xe0326000 - 0xe03260ff (0x100) MX[B]
	[10] -1	0	0xe0325000 - 0xe03257ff (0x800) MX[B]
	[11] -1	0	0xe0325800 - 0xe0325bff (0x400) MX[B]
	[12] -1	0	0xe0320000 - 0xe0323fff (0x4000) MX[B]
	[13] -1	0	0xe0325c00 - 0xe0325fff (0x400) MX[B]
	[14] -1	0	0xe0324000 - 0xe0324fff (0x1000) MX[B]
	[15] -1	0	0xe0300000 - 0xe031ffff (0x20000) MX[B]
	[16] -1	0	0xe0326100 - 0xe032610f (0x10) MX[B]
	[17] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[18] -1	0	0xe0200000 - 0xe02fffff (0x100000) MX[B](B)
	[19] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[20] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[21] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[22] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[23] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[24] -1	0	0x00001100 - 0x0000113f (0x40) IX[B]
	[25] -1	0	0x00001160 - 0x0000116f (0x10) IX[B]
	[26] -1	0	0x00001170 - 0x0000117f (0x10) IX[B]
	[27] -1	0	0x00001140 - 0x0000115f (0x20) IX[B]
	[28] -1	0	0x00001000 - 0x0000107f (0x80) IX[B]
	[29] -1	0	0x00001080 - 0x000010ff (0x80) IX[B]
	[30] -1	0	0x00002000 - 0x0000200f (0x10) IX[B]
	[31] -1	0	0x00002020 - 0x00002023 (0x4) IX[B]
	[32] -1	0	0x00002010 - 0x00002017 (0x8) IX[B]
	[33] -1	0	0x00002024 - 0x00002027 (0x4) IX[B]
	[34] -1	0	0x00002018 - 0x0000201f (0x8) IX[B]
	[35] -1	0	0x00003000 - 0x0000301f (0x20) IX[B]
	[36] -1	0	0x00003020 - 0x0000303f (0x20) IX[B]
	[37] -1	0	0x00003118 - 0x0000311b (0x4) IX[B]
	[38] -1	0	0x00003100 - 0x00003107 (0x8) IX[B]
	[39] -1	0	0x0000311c - 0x0000311f (0x4) IX[B]
	[40] -1	0	0x00003108 - 0x0000310f (0x8) IX[B]
	[41] -1	0	0x00003040 - 0x0000305f (0x20) IX[B]
	[42] -1	0	0x00003060 - 0x0000307f (0x20) IX[B]
	[43] -1	0	0x00003080 - 0x0000309f (0x20) IX[B]
	[44] -1	0	0x000030a0 - 0x000030bf (0x20) IX[B]
	[45] -1	0	0x000030c0 - 0x000030df (0x20) IX[B]
	[46] -1	0	0x000030e0 - 0x000030ff (0x20) IX[B]
	[47] -1	0	0x00003110 - 0x00003117 (0x8) IX[B](B)
	[48] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[49] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 0.1.0
	ABI class: X.Org Video Driver, version 2.0
(**) intel(0): Depth 16, (--) framebuffer bpp 16
(==) intel(0): RGB weight 565
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 965G
(--) intel(0): Chipset: "965G"
(--) intel(0): Linear framebuffer at 0xD0000000
(--) intel(0): IO registers at addr 0xE0200000
(II) intel(0): 2 display pipes available.
(==) intel(0): Using EXA for acceleration
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) intel(0): Output VGA using monitor section Monitor0
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" initialized.
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" registered at address 0x70.
(II) intel(0): No SDVO device found on SDVOB
(II) intel(0): I2C device "SDVOCTRL_E for SDVOB:SDVO Controller B" removed.
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOB" removed.
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOC" initialized.
(II) intel(0): I2C device "SDVOCTRL_E for SDVOC:SDVO Controller C" registered at address 0x72.
(II) intel(0): No SDVO device found on SDVOC
(II) intel(0): I2C device "SDVOCTRL_E for SDVOC:SDVO Controller C" removed.
(II) intel(0): I2C bus "SDVOCTRL_E for SDVOC" removed.
(II) intel(0): I2C device "CRTDDC_A:ddc2" registered at address 0xA0.
(II) intel(0): EDID vendor "PTS", prod id 996
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "640x480"x0.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   56.25  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "640x480"x84.6   35.00  640 664 728 816  480 483 487 507 -hsync +vsync (42.9 kHz)
(II) intel(0): Modeline "640x480"x99.8   42.50  640 672 736 832  480 483 487 512 -hsync +vsync (51.1 kHz)
(II) intel(0): Modeline "800x600"x84.9   56.75  800 848 928 1056  600 603 607 633 -hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x99.7   67.25  800 848 928 1056  600 603 607 639 -hsync +vsync (63.7 kHz)
(II) intel(0): Modeline "1024x768"x84.9   94.50  1024 1096 1200 1376  768 771 775 809 -hsync +vsync (68.7 kHz)
(II) intel(0): Modeline "1280x1024"x84.8  159.50  1280 1376 1512 1744  1024 1027 1034 1078 -hsync +vsync (91.5 kHz)
(II) intel(0): Modeline "1600x1200"x75.0  204.75  1600 1720 1888 2176  1200 1203 1207 1255 -hsync +vsync (94.1 kHz)
(II) intel(0): EDID vendor "PTS", prod id 996
(II) intel(0): Output VGA connected
(II) intel(0): Output VGA using initial mode 1280x1024
(II) intel(0): detected 512 kB GTT.
(II) intel(0): detected 7676 kB stolen memory.
(==) intel(0): video overlay key set to 0x83e
(==) intel(0): Will not try to enable page flipping
(==) intel(0): Triple buffering disabled
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(++) intel(0): DPI set to (100, 100)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "exa"
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules//libexa.so
(II) Module exa: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 2.2.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(II) intel(0): Comparing regs from server start up to After PreInit
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xd0000000 - 0xdfffffff (0x10000000) MS[B]
	[1] 0	0	0xe0200000 - 0xe02fffff (0x100000) MS[B]
	[2] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0	0xe0000000 - 0xe0003fff (0x4000) MX[B]
	[7] -1	0	0xe0004000 - 0xe00047ff (0x800) MX[B]
	[8] -1	0	0xe0004800 - 0xe000487f (0x80) MX[B]
	[9] -1	0	0xe0004880 - 0xe00048ff (0x80) MX[B]
	[10] -1	0	0xe0100000 - 0xe01001ff (0x200) MX[B]
	[11] -1	0	0xe0326000 - 0xe03260ff (0x100) MX[B]
	[12] -1	0	0xe0325000 - 0xe03257ff (0x800) MX[B]
	[13] -1	0	0xe0325800 - 0xe0325bff (0x400) MX[B]
	[14] -1	0	0xe0320000 - 0xe0323fff (0x4000) MX[B]
	[15] -1	0	0xe0325c00 - 0xe0325fff (0x400) MX[B]
	[16] -1	0	0xe0324000 - 0xe0324fff (0x1000) MX[B]
	[17] -1	0	0xe0300000 - 0xe031ffff (0x20000) MX[B]
	[18] -1	0	0xe0326100 - 0xe032610f (0x10) MX[B]
	[19] -1	0	0xd0000000 - 0xdfffffff (0x10000000) MX[B](B)
	[20] -1	0	0xe0200000 - 0xe02fffff (0x100000) MX[B](B)
	[21] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[22] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[23] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[24] 0	0	0x00003110 - 0x00003117 (0x8) IS[B]
	[25] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[26] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[27] -1	0	0x00001100 - 0x0000113f (0x40) IX[B]
	[28] -1	0	0x00001160 - 0x0000116f (0x10) IX[B]
	[29] -1	0	0x00001170 - 0x0000117f (0x10) IX[B]
	[30] -1	0	0x00001140 - 0x0000115f (0x20) IX[B]
	[31] -1	0	0x00001000 - 0x0000107f (0x80) IX[B]
	[32] -1	0	0x00001080 - 0x000010ff (0x80) IX[B]
	[33] -1	0	0x00002000 - 0x0000200f (0x10) IX[B]
	[34] -1	0	0x00002020 - 0x00002023 (0x4) IX[B]
	[35] -1	0	0x00002010 - 0x00002017 (0x8) IX[B]
	[36] -1	0	0x00002024 - 0x00002027 (0x4) IX[B]
	[37] -1	0	0x00002018 - 0x0000201f (0x8) IX[B]
	[38] -1	0	0x00003000 - 0x0000301f (0x20) IX[B]
	[39] -1	0	0x00003020 - 0x0000303f (0x20) IX[B]
	[40] -1	0	0x00003118 - 0x0000311b (0x4) IX[B]
	[41] -1	0	0x00003100 - 0x00003107 (0x8) IX[B]
	[42] -1	0	0x0000311c - 0x0000311f (0x4) IX[B]
	[43] -1	0	0x00003108 - 0x0000310f (0x8) IX[B]
	[44] -1	0	0x00003040 - 0x0000305f (0x20) IX[B]
	[45] -1	0	0x00003060 - 0x0000307f (0x20) IX[B]
	[46] -1	0	0x00003080 - 0x0000309f (0x20) IX[B]
	[47] -1	0	0x000030a0 - 0x000030bf (0x20) IX[B]
	[48] -1	0	0x000030c0 - 0x000030df (0x20) IX[B]
	[49] -1	0	0x000030e0 - 0x000030ff (0x20) IX[B]
	[50] -1	0	0x00003110 - 0x00003117 (0x8) IX[B](B)
	[51] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[52] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) intel(0): Kernel reported 1183488 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 4733948 kB available
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 7, (OK)
drmOpenByBusid: drmOpenMinor returns 7
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(II) intel(0): [drm] Using the DRM lock SAREA also for drawables.
(II) intel(0): [drm] framebuffer mapped by ddx driver
(II) intel(0): [drm] added 1 reserved context for kernel
(II) intel(0): X context handle = 0x1
(II) intel(0): [drm] installed DRM signal handler
(==) intel(0): VideoRam: 262144 KB
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(II) intel(0): Attempting memory allocation with tiled buffers.
(II) intel(0): Success.
(II) intel(0): Increasing the scanline pitch to allow tiling mode (1600 -> 1792).
(II) intel(0): [drm] Registers = 0xe0200000
(II) intel(0): [drm] ring buffer = 0xd0000000
(II) intel(0): [drm] mapped front buffer at 0xd0100000, handle = 0xd0100000
(II) intel(0): [drm] mapped back buffer at 0xd16e0000, handle = 0xd16e0000
(II) intel(0): [drm] mapped depth buffer at 0xd1c58000, handle = 0xd1c58000
(II) intel(0): [drm] mapped classic textures at 0xd21d0000, handle = 0xd21d0000
(II) intel(0): [drm] Initialized kernel agp heap manager, 33554432
(II) intel(0): [dri] visual configs initialized
(II) intel(0): Page Flipping disabled
(WW) intel(0): Failed to set up write-combining range (0xd0000000,0x10000000)
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) EXA(0): Offscreen pixmap area of 17203200 bytes
(II) EXA(0): Driver registered support for the following operations:
(II)         Solid
(II)         Copy
(II)         Composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): [DRI] installation complete
(II) intel(0): [drm] dma control initialized, using IRQ 16
(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x0077f000 (pgoffset 1919)
(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x016e0000 (pgoffset 5856)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x01c58000 (pgoffset 7256)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x021d0000 (pgoffset 8656)
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)
(II) intel(0): 0x00020000-0x00029fff: HW cursors (40 kB)
(II) intel(0): 0x0002a000-0x00031fff: logical 3D context (32 kB)
(II) intel(0): 0x00032000-0x00041fff: exa G965 state buffer (64 kB)
(II) intel(0): 0x00100000-0x00677fff: front buffer (5600 kB) X tiled
(II) intel(0): 0x00678000-0x016dffff: exa offscreen (16800 kB)
(II) intel(0): 0x0077f000:            end of stolen memory
(II) intel(0): 0x016e0000-0x01c57fff: back buffer (5600 kB) X tiled
(II) intel(0): 0x01c58000-0x021cffff: depth buffer (5600 kB) Y tiled
(II) intel(0): 0x021d0000-0x041cffff: classic textures (32768 kB)
(II) intel(0): 0x10000000:            end of aperture
(WW) intel(0): ESR is 0x00000001
(WW) intel(0): Existing errors found in hardware state.
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is on
(II) intel(0):   Display plane A is now enabled and connected to pipe A.
(II) intel(0):   Pipe B is off
(II) intel(0):   Display plane B is now disabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe A
(**) Option "dpms" "true"
(**) intel(0): DPMS enabled
(II) intel(0): Set up textured video
(II) intel(0): direct rendering: Enabled
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(--) RandR disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: drmOpenMinor returns 8
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(WW) AIGLX: 3D driver claims to not support visual 0x23
(WW) AIGLX: 3D driver claims to not support visual 0x24
(WW) AIGLX: 3D driver claims to not support visual 0x25
(WW) AIGLX: 3D driver claims to not support visual 0x26
(WW) AIGLX: 3D driver claims to not support visual 0x27
(WW) AIGLX: 3D driver claims to not support visual 0x28
(WW) AIGLX: 3D driver claims to not support visual 0x29
(WW) AIGLX: 3D driver claims to not support visual 0x2a
(WW) AIGLX: 3D driver claims to not support visual 0x2b
(WW) AIGLX: 3D driver claims to not support visual 0x2c
(WW) AIGLX: 3D driver claims to not support visual 0x2d
(WW) AIGLX: 3D driver claims to not support visual 0x2e
(WW) AIGLX: 3D driver claims to not support visual 0x2f
(WW) AIGLX: 3D driver claims to not support visual 0x30
(WW) AIGLX: 3D driver claims to not support visual 0x31
(WW) AIGLX: 3D driver claims to not support visual 0x32
(II) AIGLX: Loaded and initialized /usr/lib/dri/i965_dri.so
(II) GLX: Initialized DRI GL provider for screen 0
(II) intel(0): Setting screen physical size to 325 x 260
(WW) <default pointer>: No Device specified, looking for one...
(II) <default pointer>: Setting Device option to "/dev/input/mice"
(--) <default pointer>: Device: "/dev/input/mice"
(==) <default pointer>: Protocol: "Auto"
(**) Option "CorePointer"
(**) <default pointer>: always reports core events
(==) <default pointer>: Emulate3Buttons, Emulate3Timeout: 50
(**) <default pointer>: ZAxisMapping: buttons 4 and 5
(**) <default pointer>: Buttons: 9
(**) <default pointer>: Sensitivity: 1
(**) Option "CoreKeyboard"
(**) <default keyboard>: always reports core events
(**) Option "Protocol" "standard"
(**) <default keyboard>: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) <default keyboard>: XkbRules: "xorg"
(**) Option "XkbModel" "pc105"
(**) <default keyboard>: XkbModel: "pc105"
(**) Option "XkbLayout" "us"
(**) <default keyboard>: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) <default keyboard>: CustomKeycodes disabled
(II) evaluating device (<default keyboard>)
(II) XINPUT: Adding extended input device "<default keyboard>" (type: KEYBOARD)
(II) evaluating device (<default pointer>)
(II) XINPUT: Adding extended input device "<default pointer>" (type: MOUSE)
(--) <default pointer>: PnP-detected protocol: "ExplorerPS/2"
(II) <default pointer>: ps2EnableDataReporting: succeeded
Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
(II) 3rd Button detected: disabling emulate3Button
AUDIT: Fri Jan 18 12:03:50 2008: 12700 X: client 14 rejected from local host (uid 1000)
  Auth name: XDM-AUTHORIZATION-1 ID: -1
(II) intel(0): EDID vendor "PTS", prod id 996
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "640x480"x0.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   56.25  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "640x480"x84.6   35.00  640 664 728 816  480 483 487 507 -hsync +vsync (42.9 kHz)
(II) intel(0): Modeline "640x480"x99.8   42.50  640 672 736 832  480 483 487 512 -hsync +vsync (51.1 kHz)
(II) intel(0): Modeline "800x600"x84.9   56.75  800 848 928 1056  600 603 607 633 -hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x99.7   67.25  800 848 928 1056  600 603 607 639 -hsync +vsync (63.7 kHz)
(II) intel(0): Modeline "1024x768"x84.9   94.50  1024 1096 1200 1376  768 771 775 809 -hsync +vsync (68.7 kHz)
(II) intel(0): Modeline "1280x1024"x84.8  159.50  1280 1376 1512 1744  1024 1027 1034 1078 -hsync +vsync (91.5 kHz)
(II) intel(0): Modeline "1600x1200"x75.0  204.75  1600 1720 1888 2176  1200 1203 1207 1255 -hsync +vsync (94.1 kHz)
(II) intel(0): EDID vendor "PTS", prod id 996
(II) intel(0): EDID vendor "PTS", prod id 996
(II) intel(0): Using hsync ranges from config file
(II) intel(0): Using vrefresh ranges from config file
(II) intel(0): Printing DDC gathered Modelines:
(II) intel(0): Modeline "640x480"x0.0   36.00  640 696 752 832  480 481 484 509 -hsync -vsync (43.3 kHz)
(II) intel(0): Modeline "800x600"x0.0   56.25  800 832 896 1048  600 601 604 631 +hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "640x480"x0.0   25.20  640 656 752 800  480 490 492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Modeline "720x400"x0.0   28.32  720 738 846 900  400 412 414 449 -hsync +vsync (31.5 kHz)
(II) intel(0): Modeline "1280x1024"x0.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)
(II) intel(0): Modeline "1024x768"x0.0   78.80  1024 1040 1136 1312  768 769 772 800 +hsync +vsync (60.1 kHz)
(II) intel(0): Modeline "800x600"x0.0   49.50  800 816 896 1056  600 601 604 625 +hsync +vsync (46.9 kHz)
(II) intel(0): Modeline "640x480"x84.6   35.00  640 664 728 816  480 483 487 507 -hsync +vsync (42.9 kHz)
(II) intel(0): Modeline "640x480"x99.8   42.50  640 672 736 832  480 483 487 512 -hsync +vsync (51.1 kHz)
(II) intel(0): Modeline "800x600"x84.9   56.75  800 848 928 1056  600 603 607 633 -hsync +vsync (53.7 kHz)
(II) intel(0): Modeline "800x600"x99.7   67.25  800 848 928 1056  600 603 607 639 -hsync +vsync (63.7 kHz)
(II) intel(0): Modeline "1024x768"x84.9   94.50  1024 1096 1200 1376  768 771 775 809 -hsync +vsync (68.7 kHz)
(II) intel(0): Modeline "1280x1024"x84.8  159.50  1280 1376 1512 1744  1024 1027 1034 1078 -hsync +vsync (91.5 kHz)
(II) intel(0): Modeline "1600x1200"x75.0  204.75  1600 1720 1888 2176  1200 1203 1207 1255 -hsync +vsync (94.1 kHz)
(II) intel(0): EDID vendor "PTS", prod id 996


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (991, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.23-grml64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.iso885915, LC_CTYPE=en_US.iso885915 (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-input-evdev depends on:
ii  libc6              2.7-3                 GNU C Library: Shared libraries
ii  xserver-xorg-core  2:1.4.1~git20080105-1 Xorg X server - core server

xserver-xorg-input-evdev recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to Sheridan Hutchinson <Sheridan@Shezza.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 450851@bugs.debian.org (full text, mbox):

From: Sheridan Hutchinson <Sheridan@Shezza.org>
To: 450851@bugs.debian.org
Subject: Update
Date: Tue, 06 May 2008 23:52:02 +0100
[Message part 1 (text/plain, inline)]
Hi,

Xorg 7.3 recently greeted those of us in testing and I took the
opportunity to drive my mouse with evdev rather than the older 'mouse'
driver.

Getting it to work was simple enough however I noticed all my games
where hit by this bug.

I can report however that exporting:
export SDL_VIDEO_X11_DGAMOUSE=0

In my /etc/environment was sufficient to work around this.  I thought
this might be helpful for any other gamers led here.  For me this fixes
Tremulous, Nexuiz, Alien Arena, and OpenArena, with no further
configuration required.

-- 
Regards,
Sheridan Hutchinson
Sheridan@Shezza.org

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Dalfuß <sd@sedf.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 450851@bugs.debian.org (full text, mbox):

From: Sebastian Dalfuß <sd@sedf.de>
To: 450851@bugs.debian.org
Subject: Re: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Fri, 09 May 2008 20:23:05 +0200
I confirm this bug.
While using evdev, the mouse movement in full-screen games is VERY
sloppy, and constantly jumps to the lower-right corner.

The workaround "export SDL_VIDEO_X11_DGAMOUSE=0" did not work for Doom3,
but it did for Defcon and ScummVM

Maybe (just a stupid guess) two different facilities (evdev and
something else) are caring about the mouse pointer in competition.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to "Heikki Hokkanen" <hoxu@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 450851@bugs.debian.org (full text, mbox):

From: "Heikki Hokkanen" <hoxu@users.sf.net>
To: 450851@bugs.debian.org, control@bugs.debian.org
Subject: Re: xserver-xorg-input-evdev: pointer constatntly moves down-right in captured state (most of games) when using evdev
Date: Sun, 11 May 2008 21:02:22 +0300
severity 450851 important
thanks

Package: xserver-xorg-input-evdev
Version: 1:1.2.0-1

Same problem here, pointer seems to be moving irrationally in nexuiz,
although that does not happen if you lift it up (eg. normal movement
events are not created either). Sebastian Dalfuß's "export
SDL_VIDEO_X11_DGAMOUSE=0" tip works for nexuiz.

I'm bumping the severity as this bug seems to have "a major effect on
the usability of the package" - I think many people use evdev to
exploit all the buttons in FPS games, and this bug renders a lot of
those games unusable.

It was also mentioned above that Logitech mouses are not the only ones
affected, but for what it's worth, mine is "Logitech, Inc. MX518
Optical Mouse".

Regards,

-- 
Heikki Hokkanen

Severity set to `important' from `normal' Request was from "Heikki Hokkanen" <hoxu@users.sf.net> to control@bugs.debian.org. (Sun, 11 May 2008 18:03:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. Full text and rfc822 format available.

Acknowledgement sent to "Mathias L. Baumann" <anonym001@supradigital.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #72 received at 450851@bugs.debian.org (full text, mbox):

From: "Mathias L. Baumann" <anonym001@supradigital.org>
To: 450851@bugs.debian.org
Subject: maybe another effect of the bug
Date: Sat, 17 May 2008 19:23:55 +0200
Hi there,

i was affected by this bug and worked around it by disabling DGA in the  
games i play.
However, i recently switched to xinerama, and the following problem showed  
up:
when turning the mouse to fast it seems to move into the other screen.  
this results in a drastical mouselag in the game (i tested 3 games, 2 sdl  
based, DGA was off in all[enabling DGA enabled also the  
mouse-stays-in-the-corner-problem]). i downgraded X to 1.1.1-21etch4 and  
the problem was gone (together with the DGA problem). it did not matter if  
dga was enabled or not then.

--Ano




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#450851; Package xserver-xorg-input-evdev. (Sat, 13 Dec 2008 13:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "K. Gysin" <deb-amd64@oberon.on-the-web.ch>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 13 Dec 2008 13:21:08 GMT) Full text and rfc822 format available.

Message #77 received at 450851@bugs.debian.org (full text, mbox):

From: "K. Gysin" <deb-amd64@oberon.on-the-web.ch>
To: 450851@bugs.debian.org
Subject: Fixed
Date: Sat, 13 Dec 2008 14:20:47 +0100
Hi all,

This bug seems to be fixed with the newest version of evdev (unstable).

NOT OK with 1:1.2.0-1
OK     with 1:2.0.8-1

Commit Log for Sat Dec 13 07:29:11 2008
Die folgenden Pakete wurden aktualisiert:
xserver-xorg-input-evdev (1:1.2.0-1) to 1:2.0.8-1

Thanks for your work!

-kurt





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 18 Dec 2008 12:18:03 GMT) Full text and rfc822 format available.

Notification sent to HoverHell <hoverhell@gmail.com>:
Bug acknowledged by developer. (Thu, 18 Dec 2008 12:18:03 GMT) Full text and rfc822 format available.

Message #82 received at 450851-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "K. Gysin" <deb-amd64@oberon.on-the-web.ch>, 450851-done@bugs.debian.org
Subject: Re: Bug#450851: Fixed
Date: Thu, 18 Dec 2008 13:15:45 +0100
Version: 1:2.0.8-1

On Sat, Dec 13, 2008 at 14:20:47 +0100, K. Gysin wrote:

> Hi all,
> 
> This bug seems to be fixed with the newest version of evdev (unstable).
> 
> NOT OK with 1:1.2.0-1
> OK     with 1:2.0.8-1
> 
> Commit Log for Sat Dec 13 07:29:11 2008
> Die folgenden Pakete wurden aktualisiert:
> xserver-xorg-input-evdev (1:1.2.0-1) to 1:2.0.8-1
> 
> Thanks for your work!
> 
Thanks for the followup.  Closing the bug.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Jan 2009 07:28:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:00:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.